/*
* Archivo para manejo general de funciones en el modulo.
*/

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		setFormats();
		
		$('#btnSaveBatchN').click(
			function(){
				validForm();
				$(".required").blur();
			}
		);

		$('#btnCloseBatchN').click(function () {
			if(confirmClose()){
				oWinEmp.close();
			}
		});
			

	uploaderExcel();
	}
);

// Funcion que valida la información
function validForm()
{

	var aValidar = $('.errorField');
	
	if( aValidar.length > 0 ){
		alert('Formulario Invalido');
	}else{
		save();
	}
}

// Función que envia la información para ser guardada.
function save() {
	var id_usuario = $("#id_usuario").val();
	
	$.post(
		$('#btnSaveBatchN').attr('url'),
		{iu: id_usuario},
		function(response) {
			alert(response.msg);
			oWinEmp.close();
		},
		'json'
	);
}

function uploaderExcel() {
	var upd = $('#wNomina').attr('base_url');
	var id_user = $('#id_usuario').val();

	dhtmlxAjax.get(upd + "server/upload_conf.php?iu=" + id_user, function(r) {
		var t = null;
		try {
			eval("t=" + r.xmlDoc.responseText);
		} catch (e) {

		}
		;
		if (t != null) {
			// extend conf;
			//t.skin = "dhx_skyblue";
			t.autoStart = true;
			// remove file from list right after upload done;
			t.buttonUpload = false;
			// show/do_not_show upload/stop buttons;
			t.buttonClear = false;
			// show/do_not_show clear_all button;
			t.filesLimit = 3;

			myVault = new dhtmlXVaultObject(t);


			myVault.attachEvent("onBeforeFileAdd", function(file) {

				var ext = myVault.getFileExtension(file.name);

				if (ext == 'xls' || ext == 'xlsx' || ext == 'xlsm') {
					return true;
				} else {
					alert("Lo sentimos, los formatos permitidos son: xls, xlsx, xlsm");
					return false;
				}
			});
			
			myVault.setStrings({
				done: "Cargado con exito",
				error: "Error",
				btnAdd: "Agregar Archivo",
				btnUpload: "Cargar",
				btnClean: "Limpiar todo",
				btnCancel: "Cancelar"
			});
		}
	});
}
