<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */

require_once (FS_CLASSES . 'AprobacionDAO.php');
require_once (FS_CLASSES . 'TipoComprobanteFiscalDAO.php');

$oTpl->load(FS_APROBACIONES . 'editar/editar.html');

$objComp = new TipoComprobanteFiscalDAO();
$comprobantes = $objComp->listarTipoComprobanteFiscal();

$id_aprobacion = $_POST['id'];
$obj = new AprobacionDAO();
$row = array_shift($obj->listarAprobaciones($id_aprobacion));
$obj->setProperties($row);

$oTpl->setVar(
	array(
		'ACTION' => encodeQueryString(array('do' => FS_APROBACIONES . 'editar/updateRow')),
		'ID_APROBACION' => $obj->get_id_aprobacion(),
		'LISTA_TIPOS_COMPROBANTES' => listForCombo($comprobantes, 'id_tipo_comprobante', 'descripcion', $obj->get_id_tipo_comprobante()),
		'NUMERO_APROBACION' => $obj->get_numero_aprobacion(),
		'FECHA_APROBACION' => $obj->get_fecha_aprobacion(),
		'VIGENCIA_APROBACION' => $obj->get_vigencia_aprobacion(),
		'SERIE' => $obj->get_serie(),
		'FOLIO_INICIAL' => $obj->get_folio_inicial(),
		'CANTIDAD' => $obj->get_cantidad(),
		'FOLIO_FINAL' => $obj->get_folio_final()
	)
);

$oTpl->publish();
?>