/*
* Archivo para manejo general de funciones en el modulo.
*/

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		$('#descripcion').focus();

		$('#btnLimpiar').click(function(){
			$('#frmUpload').find('input').val('');
			$('#frmUpload').find('select').val(0).change();
			swfu.cancelQueue();
		});

		$('#btnEnviar').click(
			function(){
				validForm();
			}
		);

		$('#btnClose').click(
			function () {
				if(confirm("Confirme para salir")){
					loadGridRows();
					oWin.close();
				}
			}
		);
	}
);

// Funcion que valida la información
function validForm()
{
	var aValidar = $('.aValidar');
	var valid = true;

	$('.error').removeClass('error');

	aValidar.each(
		function(){
			var these = $(this);
			if( !these.val() ){
				valid = false;
				these.parent().find('label').addClass('error');
			}
		}
	);

	if(valid){
		save();
	}else{
		alert('Formulario Invalido');
	}
}

// Función que envia la información para ser guardada.
function save(){
	$.post(
		$('#btnEnviar').attr('action'),
		$('#frmInput').serializeArray(),
		function (response) {
			if( response.ok ){
				$.ajaxSetup({async:false});
					swfu.startUpload();;
					successfulOperation(response.msg);
				$.ajaxSetup({async:true});
			}
		},
		'json'
	);
}