<?php
require_once FS_CLASSES . 'PlantillasDAO.php';
require_once FS_CLASSES . 'ConfiguracionCuentaDAO.php';
require_once FS_CLASSES . 'UsuariosDAO.php';

$oTpl->load(FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'plantilla_logo.html');

$plantilla = new PlantillasDAO();
$configCuenta = new ConfiguracionCuentaDAO();

//if (!file_exists(FS_DATA)) {
//	mkdir(FS_DATA);
//	if (!file_exists(FS_DATA_PLANTILLAS)) {
//		mkdir(FS_DATA_PLANTILLAS);
//	}
//	if (!file_exists(FS_DATA_LOGOTIPOS)) {
//		mkdir(FS_DATA_LOGOTIPOS);
//	}
//}

$rowConf = array_shift($configCuenta->cargaConfiguracionCuenta($_SESSION['user']->id_usuario));

//if (! $rowConf) {
//	$urlImg = WS_FRAMEWORK . 'css/img/_defaultLoaderImage.jpg';
//
//	$plantillas = listForCombo($rowsP, 'id_plantilla', 'descripcion');
//	$urlImg = WS_FRAMEWORK . 'css/img/_defaultLoaderImage.jpg?img='.rand();
//	
//	$oTpl->setVar(
//			array(
//				'ID_USUARIO' => $_SESSION['user']->id_usuario,
//				'BASEURL' => WS_CONFIGURACION_CONFIG_PLANTILLA_LOGO,
//				'FRAMEWORKURL' => WS_FRAMEWORK . 'js/',
//				'LOGO_URL_FS' => FS_DATA_LOGOTIPOS,
//				'LOGO_URL_WS' => WS_DATA_LOGOTIPOS,
//				'ERASE' => '',
//				'IMG' => $urlImg,
//				'LOGOTIPO' => '',
//				'POS_X' => 0,
//				'POS_Y' => 0,
//				'ALTO' => 0,
//				'ANCHO' => 0,
//				'MARGEN_DATOS_EMISOR' => 0,
//				'PLANTILLA_OPTIONS' => listForCombo($rowsP, 'id_plantilla', 'descripcion', $rowConf['id_plantilla']),
//				'SAVE_LOGO' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'saveLogoFile'))
//			)
//	);
//} else {
//	foreach ($rowConf as $key => $value) {
//		$nKey = strtoupper($key);
//		$rows[$nKey] = $value;
//	}
	
	if ($rowConf['logotipo'] == '') {
		$urlImg = WS_FRAMEWORK . 'css/img/_defaultLoaderImage.jpg?img='.rand();
	} else {
		$urlImg = WS_DATA_LOGOTIPOS . $rowConf['logotipo'].'?img='.rand();
	}
	
	// Se cargan las variables del archivo html
	$oTpl->setVar(
		array(
			'BASEURL' => WS_CONFIGURACION_CONFIG_PLANTILLA_LOGO,
			'ID_USUARIO' => $_SESSION['user']->id_usuario,
			'LOGO_URL_FS' => FS_DATA_LOGOTIPOS,
			'LOGO_URL_WS' => WS_DATA_LOGOTIPOS,
			'FRAMEWORKURL' => WS_FRAMEWORK . 'js/',
			'IMG' => $urlImg,
			'LOGOTIPO' => $rowConf['logotipo'],
			'POS_X' => intval($rowConf['pos_x']),
			'POS_Y' => intval($rowConf['pos_y']),
			'ALTO' => intval($rowConf['alto']),
			'ANCHO' => intval($rowConf['ancho']),
			'MARGEN_DATOS_EMISOR' => intval($rowConf['margen_datos_emisor']),
			'SAVE_LOGO' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'saveLogoFile')),
			'ACTION' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'saveRow'))
		)
	);
	
	$sql = "
		SELECT tc.id_tipo_comprobante, tc.descripcion, pc.id_plantilla
		FROM cat_tipos_comprobantes_fiscales AS tc
		LEFT JOIN tbl_plantillas_cuentas AS pc
			ON pc.id_usuario = :id_usuario
				AND pc.id_tipo_comprobante = tc.id_tipo_comprobante
		WHERE tc.activo = 1;
	";
	$rows = $plantilla->query($sql, array('id_usuario' => $_SESSION['user']->id_usuario));
	
	if (count($rows) > 0) {
		$oTpl->getBlock('PLANTILLAS');
		
		foreach($rows AS $row) {
			$rowsP = $plantilla->plantillasUsuario($_SESSION['user']->id_usuario, $row['id_tipo_comprobante']);
			
			$oTpl->setVar(
				array(
					'TIPO_COMPROBANTE' => str_pad(trim($row['descripcion']) . ' ', 100, '.', STR_PAD_RIGHT),
					'ID_TIPO_COMPROBANTE' => $row['id_tipo_comprobante'],
					'PLANTILLA_OPTIONS' => listForCombo($rowsP, 'id_plantilla', 'descripcion', $row['id_plantilla'])
				)
			);
			
			$oTpl->appendBlock();
		}
		
		$oTpl->putBlock('PLANTILLAS');
	}
//}

$oTpl->publish();
?>