/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de variables
var oMenu, oWinConf, swfu, baseURL, myVault;
;

// Inicialización de eventos a ejecutar
$(document).ready(function() {
	//tag($('#select').val(), $('#select option:selected').text());
	initCssButtons();
	initInactiveControls();

	$('#btnSavePlantilla').click(function() {
		confimChange();
	});

	$('#btnLimpiar').click(
			function() {
				var logotipo = $('#logotipo').val();
				eraseFile(logotipo);
				$('.logotipo').find('input').val('');
				var url = $('#img').attr('default');
				$('#img').attr("src", url);
				swfu.cancelQueue();
			}
	);

	$('#btnClosePlantilla').click(
			function() {
				if (confirm("Los cambios efectuados se perderan, ¿Desea salir?")) {
					oWinUpdConfPlantillaLogo.close();
				}
			}
	);

	uploaderHtmlx();
}
);

// Función que retorna el tag con el id seleccionado.
function tag(classname, text) {
	var clase = '.' + classname;
	$(clase).show();
	$(clase).find("legend").text(text).addClass("bold");
	$(clase).siblings().hide();
}


function logoExist() {
	var logotipo = $('#logotipo').val();
	var url = $('#wPlantillaLogotipo').attr('log_url_ws') + logotipo;


	if (logotipo) {
		return url;
	} else {
		return "";
	}
}



function confimChange() {
	var info = $('#frmConfigLogoPlantillas').serializeArray();
	
	$.post(
		$('#btnSavePlantilla').attr('url'),
		info,
		function(response) {
			if (confirm(response.msg)) {
				oWinUpdConfPlantillaLogo.close();
			} else {
				alert("Error al guardar la imagen");
			}
		},
		'json'
	);
}



function uploaderHtmlx() {
	var upd = $('#wPlantillaLogotipo').attr('base_url');
	var id_user = $('#id_usuario').val();

	dhtmlxAjax.get(upd + "server/upload_conf.php?id=" + id_user, function(r) {
		var t = null;
		try {
			eval("t=" + r.xmlDoc.responseText);
		} catch (e) {

		}
		;
		if (t != null) {
			// extend conf;
			//t.skin = "dhx_skyblue";
			t.autoStart = true;
			// start upload right after file added;
			t.autoRemove = true;
			// remove file from list right after upload done;
			t.buttonUpload = false;
			// show/do_not_show upload/stop buttons;
			t.buttonClear = false;
			// show/do_not_show clear_all button;
			t.filesLimit = 1;

			// correspinding number or skip or zero to ignore;
			// init;
			myVault = new dhtmlXVaultObject(t);


			myVault.attachEvent("onBeforeFileAdd", function(file) {

				var ext = myVault.getFileExtension(file.name);

				if (ext == 'jpg' || ext == 'png' || ext == 'gif' || ext == 'jpeg') {
					return true;
				} else {
					alert("Lo sentimos, los formatos permitidos son: jpg, jpeg, png, gif");
					return false;
				}
			});

			//Se dispara el evento cuando termina de cargar
			myVault.attachEvent("onUploadFile", function(file) {
				var updImg = $('#wPlantillaLogotipo').attr('base_url') + "loadImg.php";
				var url_logo = $("#wPlantillaLogotipo").attr("log_url_ws");

//				var ext = myVault.getFileExtension(file.name);
				var ext = 'jpg';
				var filename = "Logo_" + id_user + "." + ext;
				
				$.ajax({
					url: updImg + "?url=" + url_logo + "&filename=" + filename,
					cache: false,
					type: "GET",
					dataType: "json",
					success: function(resp) {
						myVault.setFilesLimit(1);
						$("#logotipo_actual").empty();
						$("#logotipo_actual").append(resp);
						$("#logotipo").val(filename);
					}
				});
				
				$.ajaxSetup({cache: false});
				

				return true;
			});

			myVault.setStrings({
				done: "Cargado con exito",
				error: "Error",
				btnAdd: "Agregar Logotipo",
				btnUpload: "Cargar",
				btnClean: "Limpiar todo",
				btnCancel: "Cancelar"
			});
		}
	});
}
