<?php

/**
 * Este archivo esta encargado de actualizar los datos del catalogo.
 * 
 */
require_once(FS_CLASSES . 'UsuariosDAO.php');
require_once (FS_FRAMEWORK . 'swift/lib/swift_required.php');

$form = array_utf8Decode($_POST['form']);

$obj = new UsuariosDAO();
$obj2 = new UsuariosDAO();
$obj3 = new UsuariosDAO();
$result = $obj->validateData($form);
if ($form['activo'] == null) {
	$form['activo'] = 0;
}
if ($result['ok']) {
	$form['permisos'] = implode(',', $form['permisos']);
	
	$usuaario = (object)$obj3->buscarUsuario($form['id_user']);
	
	$result['ok'] = $obj2->updateUser($form);
	
	$msg = "";
	if($usuaario->usuario != $form['usuario']){
		$msg .= "Usuario: " . $form['usuario'] . "\n";
	}
	if ($usuaario->contrasenia != $form['contrasenia']) {
		$msg .= "Contraseña: " . $form['contrasenia'] . "\n";
	}
	if ($usuaario->nombre != $form['nombre']) {
		$msg .= "Nombre: " . $form['nombre'] . "\n";
	}
	if ($usuaario->e_mail != $form['e_mail']) {
		$msg .= "Ahora las notificaciones le llegaran a: \n\n E-Mail: " . $form['e_mail'] . "\n";
	}
	if($msg != ""){
		if (file_exists(FS_CONFIG . 'utils/mail_config/mail.config')) {
			if ($form['e_mail'] != '') {
				$msg = "Se le informa que los siguientes datos han sido modificados. \n\n" .$msg;
				$file = fopen(FS_CONFIG . 'utils/mail_config/mail.config', 'r');
				$info = fread($file, filesize(FS_CONFIG . 'utils/mail_config/mail.config'));
				$cnx = explode('|', $info);

				$oTrans = new Swift_SmtpTransport($cnx[0], $cnx[1]);
				$oTrans->setUsername($cnx[2]);
				$oTrans->setPassword($cnx[3]);

				$oMailer = new Swift_Mailer($oTrans);

				$oMsg = new Swift_Message('Modificación de información');
				$oMsg->setFrom(array($cnx[2] => 'Facturación CBB'));
				$oMsg->setTo(array($form['e_mail'] => $form['nombre']));
				$oMsg->setBody($msg);

				$result['send'] = $oMailer->send($oMsg);
			} else {
				$result['send'] = -2;
			}
		} else {
			$result['send'] = 0;
		}
	}
}

echo json_encode_utf8($result);
?>