/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();

		$('#btnSave').click(postData);
		$('#btnClose').click(
			function () {
				oWin.close();
			}
		);
	}
);

// Función que envía la información a guardar.
function postData()
{
	if( $('#contrasenia').val() == '' ){
		$('#contrasenia').addClass('errorField');
	}
	if( $('#confirmacion').val() == '' ){
		$('#confirmacion').addClass('errorField');
	}
	if (validate('#frmEditarUsuario')) {
		if( ($('#contrasenia').val() == $('#confirmacion').val()) 
				&& $('#contrasenia').val() != '' && $('#confirmacion').val() != '' ){
			$.post(
				$('#btnSave').attr('url'),
				$('#frmEditarUsuario').serializeArray(),
				function (response) {
					if (response.ok) {
						loadGridRows();
						oWin.close(true);
					} else {
						$('.error').removeClass('error');
						$(response.error.ids).prev().filter('label').addClass('error');
						alert(response.error.msg);
					}
				},
				'json'
			);
		}	
		else{
			$('#contrasenia').addClass('errorField');
			$('#confirmacion').addClass('errorField');
			alert('Favor de confirmar la contraseña correctamente.');
		}
	}
}