<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */
require_once (FS_CLASSES . 'ClienteDAO.php');
require_once (FS_CLASSES . 'SucursalDAO.php');
require_once (FS_CLASSES . 'UnidadMedidaDAO.php');
require_once (FS_CLASSES . 'FormaPagoDAO.php');
require_once (FS_CLASSES . 'ModalidadPagoDAO.php');
require_once (FS_CLASSES . 'ProductoServicioDAO.php');
require_once (FS_CLASSES . 'TipoComprobanteFiscalDAO.php');


$oTpl->load(FS_LISTADO_FACTURAS . 'capturaSimple/agregar/agregar.html');

$oCli = new ClienteDAO();
$oSuc = new SucursalDAO();
$oUni = new UnidadMedidaDAO();
$oMet = new ModalidadPagoDAO();
$oFor = new FormaPagoDAO();
$oPro = new ProductoServicioDAO();
$oTco = new TipoComprobanteFiscalDAO();

$id_usuario = $_SESSION['user']->id_usuario;
$suc_matriz = $oSuc->getInfoSucursalMatriz($id_usuario);
$iva_matriz = $suc_matriz[0]['tasa'];

$comprobante = array_shift($oTco->listarTipoComprobanteFiscal($_POST['comprobante']));

$oTpl->setVar(
	array(
		'ID_USUARIO'=>$id_usuario,
		'TIPO_COMPROBANTE' => $comprobante['id_tipo_comprobante'],
		'ADD_CLIENTE' => encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'capturaSimple/agregar/loadForm')),
		'ACTION' => encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'capturaSimple/agregar/insertRow')),
		'ADD_FACTURA' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/agregar/insertRow')),
		'NOMBRE' => '',
		'CALLE_NUMERO' => '',
		'COLONIA' => '',
		'CODIGO_POSTAL' => '',
		'TELEFONOS' => '',
		'TASA_IVA' => $iva_matriz,
		'ACTIVO' => '',
		
		'LISTA_CLIENTE'=> $oCli->buildCombo(),
		//'INFO_CLIENTE' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'sucursales')),
		'LISTA_UNIDADES' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'unidades')),
		'LISTA_UNIDAD' => $oUni->buildCombo(),
		'GRID_URL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'loadRows')),
		'LISTA_SUCURSALES'=> $oSuc->buildCombo(),
		'INFO_SUCURSAL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'sucursales')),
		'METODO_PAGO'=> $oMet->buildCombo(),
		'FORMA_PAGO'=> $oFor->buildCombo(),
		'DESCRIPCION_PRODUCTO_SERVICIO'=> $oPro->buildCombo(),
		'URL_PRODUCTOS_SERVICIOS'=> encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/ComboProdServ')),
		'OBTENER_DIGITOS'=>encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/agregar/obtenerDigitos'))
	)
);

//-- Verificaion de Permisos Especiales
$oTpl->removeBlock('EDITA_IVA', $oPerfil->tienePermiso('PE_EDITAR_IMPORTE_IVA'));
$oTpl->removeBlock('EDITA_RETENCION_IVA', $oPerfil->tienePermiso('PE_EDITAR_RETENCION_IVA'));
	
$oTpl->publish();
?>