$(function() {
	STEP_OPTIONS = {
		one: 1,
		two: 2
	};

	STEPS = [
		{
			content: '<h3 style="text-align:center">Softnet Invoicing</h3>\n\
						<h4 style="text-align:center;">Bienvenido a Softnet Invoicing</h4>\n\
						<p>Lo guiaremos con unos breves pasos, como configurar el sistema para empezar a facturar.</p>',
			nextButton: true,
			target: $('#inicio'),
			my: 'top center',
			at: 'top center'
		},
		{
			content: '<h4>Paso 1:</h4><p>Debe agregar al menos un Producto y/o servicio</p>',
			target: $("div[id$='MN_CATALOGOS_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		},
		{
			content: '<h4>Paso 2:</h4><p>Debe agregar el cliente al que desea facturar.</p>',
			target: $("div[id$='CT_ADMONCLIENTES_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		},
		{
			content: '<h4>Paso 3:</h4><p>Configurar los "Datos Generales" sin \n\
					dar click en agregar "Datos Fiscales" y guardar.</p>',
			target: $("div[id$='MN_CONFIGURACION_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		},
		{
			content: '<h4>Paso 4:</h4><p>Una vez guardada la informacion puede \n\
						dar click en Agregar "Datos del SAT" y actualizar sus \n\
						datos fiscales (llave, certificado, contraseña) y dar \n\
						click en "Cargar".</p>',
			target: $("div[id$='MN_CONFIGURACION_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		},
		{
			content: '<h4>Paso 5:</h4><p>Configurar una plantilla y un logotipo(opcional).</p>',
			target: $("div[id$='MN_CONFIGURACION_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		},
		{
			content: '<h4>Paso 6:</h4><p>Configurar "Series y Folios"</p>',
			target: $("div[id$='MN_CONFIGURACION_MN']"),
			nextButton: true,
			my: 'top center',
			at: 'bottom center'
		}
		]

	FINAL = {
		content: '<h4>Termino</h4><p>Una vez configurado el sistema puede iniciar su generacion de comprobantes.</p>',
		nextButton: true,
		target: $("div[id$='MN_FACTURACION_MN']"),
		my: 'top center',
		at: 'bottom center'
	}

	TOUR = new Tourist.Tour({
		modal: true,
		stepOptions: STEP_OPTIONS,
		steps: STEPS,
		successStep: FINAL,
		tipOptions: {
			showEffect: 'slidein'
		}
	});
	
	TOUR.start();

});