<?php
require_once ('TipoComprobanteFiscal.php');

/**
 * @author Angel
 * @version 1.0
 * @created 05-ago-2013 05:09:38 p.m.
 */
class TipoComprobanteFiscalDAO extends TipoComprobanteFiscal{

	/**
	 * Función que lista los registros
	 * @param data
	 */
	public function listarTipoComprobanteFiscal( $data = null )
	{
		$info['id'] = $data;
		return $this->executeSP('stp_TiposComprobantes(:id)', $info);
	}

	/**
	 * 
	 * @param data
	 */
	public function validateData( $data )
	{
		
	}

	/**
	 * 
	 * @param data
	 */
	public function insertTipoComprobanteFiscal( $data )
	{
		return $this->executeSP("stp_insTipoComprobante(:descripcion,:activo)", $data);
	}

	/**
	 * 
	 * @param data
	 */
	public function updateTipoComprobanteFiscal( $data )
	{
		return $this->executeSP("stp_updTipoComprobante(
									:id_tipo_comprobante , :descripcion, :activo)", $data);
	}

	/**
	 * 
	 * @param id_tipo_comprobante
	 */
	public function statusTipoComprobanteFiscal( $id_tipo_comprobante )
	{
		return $this->executeSP(
				"stp_statusTipoComprobante( :id_tipo_comprobante ,:activo)", $id_tipo_comprobante);
	}

}
?>