<?php

/**
 * Este archivo esta encargado de actualizar el listado de empleados.
 * 
 */
require_once FS_CLASSES . 'ClienteDAO.php';
require_once(FS_FRAMEWORK . 'classes/PHPExcel.php');
include_once FS_FRAMEWORK . 'classes/PHPExcel/IOFactory.php';
$obj = new ClienteDAO();

$id_user = $_SESSION['user']->id_usuario;
//var_dump($id_user);
$fileName = FS_DATA . "excel/nomina_file_".$id_user.".xlsx";
if (!file_exists($fileName)) {
	exit("Error en la cargar del archivo.");
}
ini_set('max_execution_time', 0);
$callStartTime = microtime(true);
$objPHPExcel = PHPExcel_IOFactory::load($fileName);

$sheetData = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
ksort($sheetData);
array_shift($sheetData);
array_shift($sheetData);

$values = array();
$id_aux = 0;
foreach ($sheetData as $row){
	if($id_aux != $row['A'] && $row['A'] != NULL){
		$id_aux = $row['A'];
		$values['nId_usuario']			= (INT)$id_user;
		$values['nId_empleado']			= $row['A'];
		$values['dFechaPago']			= $row['C'];
		$values['dFechaIniPago']		= $row['D'];
		$values['dFechaFinPago']		= $row['E'];
		$values['nNumDiasPago']			= (INT)$row['F'];
		$values['sPeriodicidadPago']	= $row['G'];
		
	}
		//Percepciones
		cleanMoney($row['H']);
		cleanMoney($row['I']);
		$values['fTotalGravadoP']		= ($row['H']==NULL?($values['fTotalGravadoP']>0?$values['fTotalGravadoP']:0.00):$row['H']);
		$values['fTotalExentoP']		= ($row['I']==NULL?($values['fTotalExentoP']>0?$values['fTotalExentoP']:0.00):$row['I']);
		
		
		//Deducciones
		cleanMoney($row['O']);
		cleanMoney($row['P']);
		$values['fTotalGravadoD']		= ($row['O']==NULL?($values['fTotalGravadoD']>0?$values['fTotalGravadoD']:0.00):$row['O']);
		$values['fTotalExentoD']		= ($row['P']==NULL?($values['fTotalExentoD']>0?$values['fTotalExentoD']:0.00):$row['P']);
		
		
		
		//Percepciones
		$values['nTipoPercepcion']		= $row['J'];
		$values['sClaveP']				= $row['K'];
		$values['sConceptoP']			= $row['L'];
		cleanMoney($row['M']);
		cleanMoney($row['N']);
		$values['fImporteGravadoP']		= ($row['M']==NULL?0.00:$row['M']);
		$values['fImporteExentoP']		= ($row['N']==NULL?0.00:$row['N']);
		
		
		//Deducciones
		$values['nTipoDeduccion']		= $row['Q'];
		$values['sClaveD']				= $row['R'];
		$values['sConceptoD']			= $row['S'];
		cleanMoney($row['T']);
		cleanMoney($row['U']);
		$values['fImporteGravadoD']		= ($row['T']==NULL?0.00:$row['T']);
		$values['fImporteExentoD']		= ($row['U']==NULL?0.00:$row['U']);
		
		//Incapacidades
		$values['fDiasIncapacidad']		= $row['V'];
		$values['nTipoIncapacidad']		= $row['W'];
		$values['sDescuento']			= ($row['X']==NULL || empty($row['X'])?0.00:$row['X']);
		
		//Horas Extra
		$values['nDias']				= $row['Y'];
		$values['sTipoHoras']			= $row['Z'];
		$values['nHorasExtra']			= $row['AA'];
		$values['fImportePagado']		= $row['AB'];
		
		
		$nomina = $obj->insNomina($values);
}

	unlink($fileName);
	$result['msg'] = "Nomina cargada con exito.";
	
	echo json_encode($result);
?>