<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */

require_once (FS_CLASSES . 'SucursalDAO.php');
require_once (FS_CLASSES . 'Estados.php');
require_once (FS_CLASSES . 'Municipios.php');

$oTpl->load(FS_SUCURSALES . 'editar/editar.html');

$id_sucursal = $_POST['id'];
$obj = new SucursalDAO();
$row = array_shift($obj->listarSucursal($id_sucursal));
$obj->setProperties($row);

$oEst = new Estados();
$oM = new Municipios();

$oTpl->setVar(
	array(
		'ACTION' => encodeQueryString(array('do' => FS_SUCURSALES . 'editar/updateRow')),
		'ID_SUCURSAL' => $obj->get_id_sucursal(),
		'NOMBRE' => $obj->get_nombre(),
		'CALLE' => $obj->get_calle(),
		'NUMERO_EXT'=>$obj->get_num_ext(),
		'NUMERO_INT'=>$obj->get_num_int(),
		'COLONIA' => $obj->get_colonia(),
		'CODIGO_POSTAL' => $obj->get_codigo_postal(),
		'LISTADO_ESTADOS' => $oEst->buildCombo($obj->get_id_estado()),
		'LISTA_MUNICIPIOS' => encodeQueryString(array('do' => FS_SUCURSALES . 'municipios')),
		'MUNICIPIOS' => $oM->buildCombo($obj->get_id_estado(), $obj->get_id_municipio()),
		'TELEFONOS' => $obj->get_telefonos() == 0 ? "" : $obj->get_telefonos(),
		'TASAS_IVA' => $obj->get_tasa() == 0.000 ? "" : $obj->get_tasa()
	)
);

$oTpl->markCheckbox('activo', $obj->get_activo());

$oTpl->publish();
?>