/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de variables
var oMenu, oWinConf;

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		$('#confirmPass').focus();
		$('#btnSaveConfirm').click(function () {
			postData();
		});
		
		$('#btnCloseConfirm').click(
			function () {
				oWin.close();
			}
		);

	}
);

// Función que envía la información a guardar.
function postData()
{
		$.post(
			$('#btnSaveConfirm').attr('_url'),
			$('#frmConfirm').serializeArray(),
			function (response) {
				if (response.ok) {
					save();
				} else {
					alert('Contraseña Incorrecta, favor de validar de nuevo.');
					$('#confirmPass').focus();
				}
			},
			'json'
		);
}

function eraseFile(logotipo){
	if( logotipo != '' && logotipo != undefined ){
		$.post(
			$('#btnLimpiar').attr('action'),
			{
				'fileName' : logotipo
			},
			function (response) {

			},
			'json'
		);
	}
}

function logoExist(){
	var logotipo = $('#logotipo').val();
	var url = $('#container').attr('log_url_ws') + logotipo;
		if(logotipo){
			valid = true;
		} else {
			valid = false;
		}
	var response = 
		{
			url : url,
			valid : valid
		}
	return response;
}

function sendForm(){
	var obj = logoExist();
	if( obj.valid ){
		$('#img').attr("src",obj.url);
	}
}

function save(){
	$.post(
		$('#btnSave').attr('_url'),
		$('#frmInput').serializeArray(),
		function (response) {
			if( !response.invalidPass ){
				$('#id_configuracion_cuenta').val(response.id);
				if( confirm(response.msg) ){
					oWinConf.close();
					oWin.close();				
				} else {
					oWin.close();				
				}
			} else {
				alert('Contraseña Incorrecta, favor de validar de nuevo.');	
			}
		},
		'json'
	);
}