<?php

$_pattern = '/(.*[\/\x5C]src[\/\x5C]).*/';   
$_root = str_replace('\\', '/', preg_replace($_pattern, '$1', $_SERVER['SCRIPT_FILENAME']));
require($_root . 'framework/appStart.php'); 
require($_root . 'framework/constants.php');
	
if (file_exists(FS_CONFIG . 'constantes.php')) {
	require(FS_CONFIG . 'constantes.php');
}

require_once FS_CLASSES . 'ConfWsdlDAO.php';
require_once('../../../classes/ConfiguracionCuenta.php');
require_once('../../../classes/ConfiguracionCuentaDAO.php');
require_once('../../../nusoap/nusoap.php');
$obj = new ConfiguracionCuentaDAO();


$urlWsdl = new ConfWsdlDAO();
$timbradoWsdl = $urlWsdl->getConfigWsdl();
$result = array();
//Configuracion del servicio.
$client = new nusoap_client($timbradoWsdl['registro_emisor'], true);
$err = $client->getError();
if ($err) {
	die('<h2>Error en la conexion al servicio.</h2><pre>' . $err . '</pre>');
}

if (!empty($_FILES['llave_sat']) && !empty($_FILES["certificado_sat"]) && !empty($_FILES['certificado_sat'])) {
//Se realiza la solicitud al webservice.
	move_uploaded_file($_FILES["llave_sat"]["tmp_name"], "uploads/" . $_FILES['llave_sat']['name']);
	$llave = file_get_contents('uploads/' . $_FILES['llave_sat']['name']);

	move_uploaded_file($_FILES["certificado_sat"]["tmp_name"], "uploads/" . $_FILES['certificado_sat']['name']);
	$certificado = file_get_contents('uploads/' . $_FILES['certificado_sat']['name']);

	unlink('uploads/' . $_FILES['certificado_sat']['name']);
	unlink('uploads/' . $_FILES['llave_sat']['name']);

	$contrasena = $_POST['contrasenia_sat'];
	$rfc = $_POST['rfc'];

	$emisor = array(
		'certificado' => base64_encode($certificado),
		'llave' => base64_encode($llave),
		'contrasenia' => $contrasena,
		'rfc' => $rfc
	);

	$result = $client->call('registerEmisor', array('in' => $emisor));

	$info_certificado = array(
		'nId_usuario' => $_SESSION['user']->id_usuario,
		'sRfc' => 'AAA010101AAA',
		'sNumero_certificado' => $result['numero_serie'],
		'bLlave' => $llave,
		'bCertificado' => $certificado,
		'dVigencia_desde' => $result['vigencia_desde'],
		'dVigencia_hasta' => $result['vigencia_hasta']
	);

//Alta de certificado
	if ($result['result'] == 0) {
		$result['error'] = 0;
		$result['message'] = 'Registro exitoso.';
		$obj->updConfiguracionCertificado($info_certificado);
		echo json_encode($result);
	} else {
		$result['error'] = 1;
		echo json_encode($result);
	}
}else{
	$result['error'] = 1;
	$result['message'] = 'Se deben cargar todos los archivos.';
	echo json_encode($result);
}
?>