<?php

/**
 * Este archivo esta encargado de actualizar los datos del catalogo.
 * 
 */
	require_once(FS_CLASSES . 'ConfiguracionCuentaDAO.php');
	$obj = new ConfiguracionCuentaDAO();

	$sql = "
		INSERT INTO tbl_configuracion_cuenta
		SET id_usuario = :id_usuario,
			logotipo = :logotipo,
			pos_x = :pos_x,
			pos_y = :pos_y,
			alto = :alto,
			ancho = :ancho,
			margen_datos_emisor = :margen_datos_emisor
		ON DUPLICATE KEY UPDATE logotipo = :logotipo,
			pos_x = :pos_x,
			pos_y = :pos_y,
			alto = :alto,
			ancho = :ancho,
			margen_datos_emisor = :margen_datos_emisor
	";
	$result = $obj->query($sql, $_POST['form']);
	
	$sql = "
		INSERT INTO tbl_plantillas_cuentas
		SET id_usuario = :id_usuario,
			id_tipo_comprobante = :id_tipo_comprobante,
			id_plantilla = :id_plantilla
		ON DUPLICATE KEY UPDATE id_plantilla = :id_plantilla
	";
	
	if (count($_POST['form']['plantillas']) > 0) {
		//-- Los indices del arreglo son los ID's del tipo de comprobante
		foreach($_POST['form']['plantillas'] as $key => $value) {
			$value['id_usuario'] = $_POST['form']['id_usuario'];
			$value['id_tipo_comprobante'] = $key;
			$obj->query($sql, $value);
		}
	}
	
	$result['msg'] = "Información guardada con exito.";
	
echo json_encode($result);
?>