<?php

/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */
require_once(FS_CLASSES . 'PaqueteDAO.php');

$oTpl->load(FS_CUENTASUSUARIOS . 'agregar/agregar.html');
$pfl = new PerfilesDAO();
$perfiles = $pfl->perfilesPorTipo(TIPO_PERFIL_USUARIO);

if (count($perfiles) > 0) {
	$chks = '<ul>';

	foreach ($perfiles AS $perfil) {
		$id = 'chk_' . $perfil['id_perfil'];
		$chks .= '<li><input type="checkbox" id="' . $id . '" name="form[permisos][]"'
				. '" value="' . $perfil['id_perfil'] . '"/>'
				. '<label for="' . $id . '">' . $perfil['descripcion'] . '</label>'
				. '</li>';
	}

	$chks .= '</ul>';
}

$oPaquete = new PaqueteDAO();
$_rs = $oPaquete->paquetesActivos();
$_paqOptions = '';

if (count($_rs) > 0) {
	foreach ($_rs AS $_key => $_val) {
		$_val = (object) $_val;
		$_paqOptions .= '<option value="' . $_val->id_paquete . '">' . $_val->descripcion . '</option>';
	}
}

$opts = arrayToOptionTags($gbl_TiposFomulario, $configuracionCuenta['tipo_formulario'], true);

$oTpl->setVar(
		array(
			'ACTION' =>
			encodeQueryString(array('do' => FS_CUENTASUSUARIOS . 'agregar/insertRow')),
			'ID_USER' => null,
			'TIPO_USUARIO' => TIPO_USUARIO_USUARIO,
			'USUARIO' => '',
			'NOMBRE' => '',
			'CONTRASEÑA' => '',
			'CORREO' => '',
			'PAQUETESOPTIONS' => $_paqOptions,
			'PERFILES' => $chks,
			'CAPTURAOPTIONS' => $opts
		)
);

$oTpl->publish();
?>