<?php
/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */
require_once(FS_CLASSES . 'UsuariosDAO.php');
require_once(FS_CLASSES . 'ConfiguracionCuentaDAO.php');

$oTpl->load(FS_CUENTASUSUARIOS . 'consultar/consultar.html');
$pfl = new PerfilesDAO();
$obj = new UsuariosDAO();
$oCfg = new ConfiguracionCuentaDAO();
$id = $_POST['id'];
$row = (object) $obj->buscarUsuario($id);
$aux = new UsuariosDAO();
$perfilesUsuario = $aux->listarPerfiles($id);
$perfiles = $pfl->perfilesPorTipo(TIPO_PERFIL_USUARIO);

$configuracionCuenta = reset($oCfg->cargaConfiguracionCuenta($id));

if (count($perfiles) > 0) {
	$chks = '<ul>';

	foreach ($perfiles AS $perfil) {
		$checked = in_array($perfil['id_perfil'], $perfilesUsuario) ? 'checked="checked"' : '';
		$id = 'chk_' . $perfil['id_perfil'];
		$chks .= '<li><input type="checkbox" disabled="" id="' . $id . '" name="form[permisos][]"'
			. '" value="' . $perfil['id_perfil'] . '" ' . $checked . '/>'
			. '<label for="' . $id . '">' . $perfil['descripcion'] . '</label>'
			. '</li>';
	}

	$chks .= '</ul>';
}

$tiposFomulario = array(
	0 => 'NINGUNO',
	1 => "SIMPLE",
	2 => "AVANZADO"
);

$opts = arrayToOptionTags($tiposFomulario, 2);

$oTpl->setVar(
	array(
		'ID_USER' => $row->id_user,
		'USUARIO' => $row->usuario,
		'NOMBRE' => $row->nombre,
		'CONTRASEÑA' => $row->contrasenia,
		'CORREO' => $row->e_mail,
		'PERFILES' => $chks,
		'TIPO_FORMULARIO' => $gbl_TiposFomulario[$configuracionCuenta['tipo_formulario']]
	)
);

$oTpl->markCheckbox('activo', $row->activo);

$oTpl->publish();
?>