<?php
/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */
require_once(FS_CLASSES . 'UsuariosDAO.php');
require_once(FS_CLASSES . 'ConfiguracionCuentaDAO.php');

$oTpl->load(FS_CUENTASUSUARIOS. 'editar/editar.html');
$pfl = new PerfilesDAO();
$obj = new UsuariosDAO();
$oCfg = new ConfiguracionCuentaDAO();
$id = $_POST['id'];
$row = (object) $obj->buscarUsuario($id);
$aux = new UsuariosDAO();
$perfilesUsuario = $aux->listarPerfiles($id);
$perfiles = $pfl->perfilesPorTipo(TIPO_PERFIL_USUARIO);

$configuracionCuenta = reset($oCfg->cargaConfiguracionCuenta($id));

if (count($perfiles) > 0) {
	$chks = '<ul>';

	foreach ($perfiles AS $perfil) {
		$checked = in_array($perfil['id_perfil'], $perfilesUsuario) ? 'checked="checked"' : '';
		$id = 'chk_' . $perfil['id_perfil'];
		$chks .= '<li><input type="checkbox" id="' . $id . '" name="form[permisos][]"'
			. '" value="' . $perfil['id_perfil'] . '" ' . $checked . '/>'
			. '<label for="' . $id . '">' . $perfil['descripcion'] . '</label>'
			. '</li>';
	}

	$chks .= '</ul>';
}

$opts = arrayToOptionTags($gbl_TiposFomulario, $configuracionCuenta['tipo_formulario'], true);

$oTpl->setVar(
	array(
		'ACTION' => encodeQueryString(array('do' => FS_CUENTASUSUARIOS . 'editar/updateRow')),
		'ID_USER' => $row->id_usuario,
		'USUARIO' => $row->usuario,
		'NOMBRE' => $row->nombre,
		'CONTRASENIA' => $row->contrasenia,
		'E_MAIL' => $row->e_mail,
		'PERFILES' => $chks,
		'CAPTURAOPTIONS' => $opts
	)
);

$oTpl->markCheckbox('activo', $row->activo);

$oTpl->publish();
?>