<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */
require_once (FS_CLASSES . 'ClienteDAO.php');
require_once (FS_CLASSES . 'SucursalDAO.php');
require_once (FS_CLASSES . 'UnidadMedidaDAO.php');
require_once (FS_CLASSES . 'FormaPagoDAO.php');
require_once (FS_CLASSES . 'ModalidadPagoDAO.php');
require_once (FS_CLASSES . 'ProductoServicioDAO.php');
require_once (FS_CLASSES . 'TipoComprobanteFiscalDAO.php');

//Verifica que tipo de formulario tiene activo el usuario.
require_once(FS_CLASSES . 'ConfiguracionCuentaDAO.php');
$obj = new ConfiguracionCuentaDAO();
$conf = $obj->cargaConfiguracionCuenta($_SESSION['user']->id_usuario);
$form = $conf[0]['tipo_formulario'];

if($form == '1'){
	$oTpl->load(FS_LISTADO_FACTURAS . 'capturaSimple/agregar/agregar.html');
	$url_prod_serv = encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/ComboProdServ'));
}else{
	$oTpl->load(FS_LISTADO_FACTURAS . 'agregar/agregar.html');
	$url_prod_serv = encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'listaProductos'));
}

$oCli = new ClienteDAO();
$oSuc = new SucursalDAO();
$oUni = new UnidadMedidaDAO();
$oMet = new ModalidadPagoDAO();
$oFor = new FormaPagoDAO();
$oPro = new ProductoServicioDAO();
$oTco = new TipoComprobanteFiscalDAO();

$id_usuario = $_SESSION['user']->id_usuario;
$suc_matriz = $oSuc->getInfoSucursalMatriz($id_usuario);
$iva_matriz = $suc_matriz[0]['tasa'];

$comprobante = array_shift($oTco->listarTipoComprobanteFiscal($_POST['comprobante']));

$oTpl->setVar(
		array(
			'TITULO' => 'Agregar ' . $comprobante['descripcion'],
			'TIPO_COMPROBANTE' => $comprobante['id_tipo_comprobante'],
			'ID_USUARIO' => $id_usuario,
			'ADD_CLIENTE' => encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'agregar/loadForm')),
			'ACTION' => encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'agregar/insertRow')),
			'ADD_FACTURA' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'agregar/insertRow')),
			'NOMBRE' => '',
			'CALLE_NUMERO' => '',
			'COLONIA' => '',
			'CODIGO_POSTAL' => '',
			'TELEFONOS' => '',
			'TASA_IVA' => $iva_matriz,
			'ACTIVO' => '',
			'LISTA_CLIENTE' => $oCli->buildCombo(),
			'LISTA_UNIDADES' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'unidades')),
			'LISTA_UNIDAD' => $oUni->buildCombo(),
			'GRID_URL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'loadRows')),
			'LISTA_SUCURSALES' => $oSuc->buildCombo(),
			'INFO_SUCURSAL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'sucursales')),
			'METODO_PAGO' => $oMet->buildCombo(),
			'FORMA_PAGO' => $oFor->buildCombo(),
			'DESCRIPCION_PRODUCTO_SERVICIO' => $oPro->buildCombo(),
			'URL_PRODUCTOS_SERVICIOS_INF' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'ComboProdServ')),
			'URL_PRODUCTOS_SERVICIOS' => $url_prod_serv,
			'OBTENER_DIGITOS' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'agregar/obtenerDigitos')),
			'ADD_NOTA' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'agregar/notas'))
		)
);

//-- Verificaion de Permisos Especiales
$oTpl->removeBlock('EDITA_IVA', $oPerfil->tienePermiso('PE_EDITAR_IMPORTE_IVA'));
$oTpl->removeBlock('EDITA_RETENCION_IVA', $oPerfil->tienePermiso('PE_EDITAR_RETENCION_IVA'));

$oTpl->publish();
?>