<?php

/**
 * Regresa en formato json los registros a listar en el grid
 */

require_once(FS_CLASSES . 'FacturasDAO.php');
$obj2 = new FacturasDAO();
$row_factura = $obj2->obtenerInformacionFactura($_POST['nId_factura']);
$rows_conceptos = $obj2->listarConceptos($_POST['nId_factura']);
$row_count = count($rows_conceptos);

for($i = 0; $i < $row_count; $i++){
	unset($rows_conceptos[$i]['tasa_iva']);
	unset($rows_conceptos[$i]['ieps']);
	unset($rows_conceptos[$i]['retencion_iva']);
	unset($rows_conceptos[$i]['retencion_isr']);
}

$result['factura'] = array(
	'subtotal' => $row_factura['subtotal'],
	'iva' => $row_factura['iva'],
	'retencion_iva' => $row_factura['retencion_iva'],
	'total' => $row_factura['total'],
);
$result['data'] = dataToGrid( $rows_conceptos, false, null, null, 'precio_unitario,importe' );

echo json_encode_utf8($result);
?>